List campaigns
curl --request GET \
--url https://api.callin.io/api/public/v1/campaigns \
--header 'x-api-key: <api-key>'import requests
url = "https://api.callin.io/api/public/v1/campaigns"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.callin.io/api/public/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.callin.io/api/public/v1/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.callin.io/api/public/v1/campaigns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.callin.io/api/public/v1/campaigns")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.callin.io/api/public/v1/campaigns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"campaignId": "<string>",
"name": "<string>",
"agentId": "<string>",
"active": true,
"scheduled": true,
"startTime": "<string>",
"endTime": "<string>",
"timezone": "<string>",
"status": "<string>",
"startIndex": 123,
"contactCount": 123,
"contacts": [
{
"phoneNumber": "<string>",
"contactId": "<string>",
"name": "<string>",
"email": "<string>"
}
],
"followUp": {
"enabled": true,
"attempts": 123,
"intervalsMinutes": [
123
]
},
"metadata": {
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
}
}
],
"pagination": {
"pageSize": 123,
"hasMore": true,
"nextCursor": "<string>"
},
"requestId": "<string>"
}Campaigns
List campaigns
Returns campaigns for the API key account. Contacts are omitted; use the campaign detail route for the contact list.
GET
/
public
/
v1
/
campaigns
List campaigns
curl --request GET \
--url https://api.callin.io/api/public/v1/campaigns \
--header 'x-api-key: <api-key>'import requests
url = "https://api.callin.io/api/public/v1/campaigns"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.callin.io/api/public/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.callin.io/api/public/v1/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.callin.io/api/public/v1/campaigns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.callin.io/api/public/v1/campaigns")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.callin.io/api/public/v1/campaigns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"campaignId": "<string>",
"name": "<string>",
"agentId": "<string>",
"active": true,
"scheduled": true,
"startTime": "<string>",
"endTime": "<string>",
"timezone": "<string>",
"status": "<string>",
"startIndex": 123,
"contactCount": 123,
"contacts": [
{
"phoneNumber": "<string>",
"contactId": "<string>",
"name": "<string>",
"email": "<string>"
}
],
"followUp": {
"enabled": true,
"attempts": 123,
"intervalsMinutes": [
123
]
},
"metadata": {
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
}
}
],
"pagination": {
"pageSize": 123,
"hasMore": true,
"nextCursor": "<string>"
},
"requestId": "<string>"
}Authorizations
ApiKeyHeaderBearerAuth
Send your Callin API key in the x-api-key header.
Query Parameters
Case-insensitive match on the campaign name.
Available options:
draft, waiting, running, paused, stopped, completed, failed, delayed createdAt of the last campaign from the previous page.
Required range:
1 <= x <= 100Available options:
true, false Was this page helpful?

